List SEPA Direct Debit mandates
curl --request GET \
--url https://thirdparty.qonto.com/v2/sepa/direct_debit_mandates \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/sepa/direct_debit_mandates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/sepa/direct_debit_mandates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"direct_debit_mandates": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"unique_mandate_reference": "<string>",
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending_signature",
"is_cancelable": true,
"created_at": "2023-11-07T05:31:56Z",
"mandate_signature_date": "2026-01-01T00:00:00Z",
"schedule_type": "one_off",
"notify_client": true,
"sign_url": "<string>",
"iban": "FR7630006000011234567890189"
}
],
"meta": {
"current_page": 2,
"next_page": 3,
"prev_page": 1,
"total_pages": 11,
"total_count": 210,
"per_page": 20
}
}Mandates
List SEPA Direct Debit mandates
OAuth scope: sepa_direct_debit.read
List SEPA Direct Debit mandates for the authenticated organization. Optionally filter by client_id.
GET
/
v2
/
sepa
/
direct_debit_mandates
List SEPA Direct Debit mandates
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Query Parameters
Page number for pagination. Must be greater than 0.
Required range:
x >= 1Number of records per page. Must be between 1 and 100.
Required range:
1 <= x <= 100Filter mandates by client ID
Was this page helpful?